Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg
Class Configuration

    java.lang.Object
      semorg.Configuration

    public class Configuration

extends Object

This class holds the configuration of the application and provides methods to get and set some properties of the application.

Field Summary
`private static String` | `huSemOrgConfFile` The path to configuration file of the application.
`private Properties` | `huSemOrgProperties` Holds the configuration for the application at runtime.

Constructor Summary
`Configuration()` Creates a `Configuration` object, which holds the configuration of the application.

Method Summary
`String` | `getProperty(String key)` Returns for given key the corresponding value of a property.
`private void` | `makeStdConfiguration()` Creates the standard configuration of the application.
`private void` | `saveConfiguration()` Saves the current configuration to file.
`void` | `setProperty(String key, String value)` Sets the property defined by the given key to the given value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### huSemOrgProperties

    private Properties huSemOrgProperties

  Holds the configuration for the application at runtime.

### huSemOrgConfFile

    private static final String huSemOrgConfFile

  The path to configuration file of the application.

  See Also:
    Constant Field Values

Constructor Detail

### Configuration

    public Configuration()

  Creates a `Configuration` object, which holds the configuration of the application.

Method Detail

### saveConfiguration

    private void saveConfiguration()

  Saves the current configuration to file.

### makeStdConfiguration

    private void makeStdConfiguration()

  Creates the standard configuration of the application.

### setProperty

    public void setProperty(String key,
                            String value)

  Sets the property defined by the given key to the given value. Note that configuration gets directly written to the configuration file.

  Parameters:
    `key` - identifier of the property to set
    `value` - new value of the property

### getProperty

    public String getProperty(String key)

  Returns for given key the corresponding value of a property.

  Parameters:
    `key` - name of the property
  Returns:
    value of the property as String or `null` if the property does not exist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD